Client
This API is for the Client resource of the Advisor API on the wealth.com platform. It allows connected systems to programmatically manage clients. This can be useful for integrating your internal system with the wealth.com platform, allowing you to automate client management tasks such as initiating invitation workflows.
Note: If your API user is set up to have access to multiple advisors, you will need to provide advisor_id and team_id to disambiguate the advisor context. For POST /v1/clients, pass them in the request body. For list, get, update, and delete operations, pass them as query parameters.
List Clients
Clients Request Parameters
- Name
advisor_id- Type
- string UUID (36 chars)
- Description
Unique identifier for the advisor making the request on behalf of their client.
- Name
team_id- Type
- string UUID (36 chars)
- Description
Unique identifier for the advisory team that the advisor belongs to.
- Name
page- Type
- number (optional)
- Description
The page number to retrieve. The default is 0.
- Name
page_size- Type
- number (optional)
- Description
The number of clients to retrieve for each page. The default is 100.
Request
curl --location --request GET 'https://advisor-api.wealth.com/v1/clients?advisor_id=26889708-54a7-4ce1-a1ee-d43104c319f5&team_id=49b29725-dfea-4b63-9e3d-ceae97dee1c6&page_size=3&page=1' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic xxxxxxxxxxxxx'
Clients Response Object
Get Clients return an array of client objects.
- Name
wid- Type
- string UUID (36 chars)
- Description
Wealth.com unique identifier for the client.
- Name
email- Type
- string (Max 255)
- Description
Email of the client.
- Name
first_name- Type
- string (Max 255)
- Description
First name of the client.
- Name
last_name- Type
- string (Max 255)
- Description
Last name of the client.
- Name
invitation_link- Type
- string (Max 2048)
- Description
Link to the client invitation on the Wealth.com dashboard
- Name
estate_plan- Type
- string (Max 50)
- Description
The selected plan - one of Estate Plan Values
- Name
completion_status- Type
- string (Max 50)
- Description
Completion status for the client - one of Completion Status Values
Response
[{
"wid": "786bb91c-35ec-49bb-bc28-1d2930d7db6a",
"email": "brad@fightclub.com",
"first_name": "Brad",
"last_name": "Pitt",
"estate_plan": "joint_will",
"completion_status": "PreFlightNotInvited",
"invitation_link": "https://mydashboard.wealth.com/invited/f6das3ioh57bg18sw"
},
{
"wid": "89882706-0ad3-4af2-95ca-44b4f76d315d",
"email": "angelina@hackers.com",
"first_name": "angelina",
"last_name": "jolie",
"estate_plan": "individual_trust",
"completion_status": "InProgress",
"invitation_link": "https://mydashboard.wealth.com/invited/kj3lk43kh21kh4hh3"
}]
Get Client
The GET client call expects a Wealth.com Id (wid) to be passed on the URL. The wid is unique to each client. If your API user can access multiple advisors, also include advisor_id and team_id as query parameters.
Request
curl --location --request GET 'https://advisor-api.wealth.com/v1/clients/786bb91c-35ec-49bb-bc28-1d2930d7db6a?advisor_id=26889708-54a7-4ce1-a1ee-d43104c319f5&team_id=49b29725-dfea-4b63-9e3d-ceae97dee1c6' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic xxxxxxxxxxxxx'
Get Client Response Object
- Name
wid- Type
- string UUID (36 chars)
- Description
Wealth.com unique identifier for the client.
- Name
email- Type
- string (Max 255)
- Description
Email of the client.
- Name
first_name- Type
- string (Max 255)
- Description
First name of the client.
- Name
last_name- Type
- string (Max 255)
- Description
Last name of the client.
- Name
estate_plan- Type
- string (Max 50)
- Description
The selected plan - one of Estate Plan Values
- Name
completion_status- Type
- string (Max 50)
- Description
Completion status for the client - one of Completion Status Values
- Name
invitation_link- Type
- string (Max 2048)
- Description
Link to the client invitation on the Wealth.com dashboard
- Name
subscription_start_date- Type
- ISO 8601 date-time
- Description
Client's subscription start date if were provided during the client creation.
- Name
marital_status- Type
- string enum
- Description
Client's marital status, when available.
- Name
has_children- Type
- boolean
- Description
Indicates whether the client has children, when available.
- Name
has_pets- Type
- boolean
- Description
Indicates whether the client has pets, when available.
- Name
own_property- Type
- boolean
- Description
Indicates whether the client owns the property in the provided address, when available.
- Name
spouse_first_name- Type
- string (Max 255)
- Description
Spouse first name, when available.
- Name
spouse_last_name- Type
- string (Max 255)
- Description
Spouse last name, when available.
- Name
existing_estate_plan- Type
- string enum
- Description
Existing estate plan captured for onboarding, when available.
- Name
address- Type
- object
- Description
Client address, when available.
Response
{
"wid": "786bb91c-35ec-49bb-bc28-1d2930d7db6a",
"email": "brad@fightclub.com",
"first_name": "Brad",
"last_name": "Pitt",
"estate_plan": "joint_will",
"completion_status": "PreFlightNotInvited",
"invitation_link": "https://mydashboard.wealth.com/invited/f6das3ioh57bg18sw",
"subscription_start_date": "2024-02-01T00:00:00Z",
"marital_status": "Married",
"has_children": true,
"has_pets": false,
"own_property": true,
"spouse_first_name": "Jane",
"spouse_last_name": "Pitt",
"existing_estate_plan": "JointTrust",
"address": {
"line1": "123 Main St",
"city": "Los Angeles",
"state": "CA",
"zip": "90210"
}
}
Get Client Summary
The GET client summary call expects a Wealth.com Id (wid) to be passed on the URL. The wid is unique to each client.
Request
curl --location --request GET 'https://advisor-api.wealth.com/v1/clients/786bb91c-35ec-49bb-bc28-1d2930d7db6a/summary' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic xxxxxxxxxxxxx'
Get Client Summary Response Object
- Name
wizards- Type
- array of objects
- Description
The client's wizard instances.
- Name
id- Type
- string
- Description
The unique ID for the wizard instance.
- Name
name- Type
- string
- Description
Name of the document that the wizard instance generates.
- Name
template_name- Type
- string enum
- Description
Template for the wizard instance. Possible values:
'Individual Revocable Trust' 'Advance Health Care Directive' 'Financial Power of Attorney' 'Last Will and Testament' 'Joint Revocable Trust' 'Nomination of Guardianship'
- Name
status- Type
- string enum
- Description
Completion status of the wizard instance. Possible values:
'NOT_STARTED' 'IN_PROGRESS' 'VALID' 'PENDING_VALIDATION' 'COMPLETED' 'NOT_APPLICABLE' 'HAS_ERRORS'
- Name
progress- Type
- number
- Description
Progress of the wizard out of 100.
- Name
document_owners- Type
- array of string (Max 20)
- Description
The unique IDs of the document owners of the wizards. These IDs correspond to contact card IDs.
- Name
created_on- Type
- ISO 8601 date-time
- Description
Date of the wizard instance's creation.
- Name
modified_on- Type
- ISO 8601 date-time
- Description
Date when the wizard instance was last modified.
- Name
validated_on- Type
- ISO 8601 date-time
- Description
Date of the wizard instance's validation.
- Name
document_jurisdiction- Type
- string (Max 2)
- Description
Short-hand jurisdiction of the document. Ex. "CA" for California
- Name
document_last_generated- Type
- ISO 8601 date-time
- Description
Date of the generation of the wizard instance's PDF document.
- Name
quiz_answers- Type
- array of objects
- Description
The quiz questions that the client selected.
- Name
id- Type
- string (Max 20)
- Description
The unique ID for the question.
- Name
question- Type
- string (Max 200)
- Description
The text that is displayed to the user for the question.
- Name
estate_contact_cards- Type
- array of objects
- Description
The client's estate contact cards.
- Name
id- Type
- string
- Description
The unique ID for the contact card.
- Name
name- Type
- string
- Description
The name of the contact card.
- Name
type- Type
- string enum
- Description
The type of the contact card. "Trust" or "Will"
- Name
document_type- Type
- string enum
- Description
The document type of the contact card. Possible values:
'RevocableTrust' 'IrrevocableTrust' 'LastWillAndTestament' 'PourOverWill'
- Name
trust_subtype- Type
- string enum
- Description
The trust subtype of the contact card. Possible values:
'Joint' 'Individual' 'ILIT' 'GRAT' 'SLAT' 'Dynasty' 'CRAT' 'CLAT' 'CRUT' 'QPRT' 'Other'
- Name
recommended_primary_document- Type
- string
- Description
The recommended primary document for the client based on their profile. Possible values:
'One Joint Revocable Trust' 'One Individual Revocable Trust' 'Two Individual Revocable Trusts' 'One Last Will and Testament' 'Two Last Will and Testaments'
Response
{
"wizards": [
{
"id": "405f6f21-6398-409f-8f11-45a4194a3287",
"name": "Brad's Last Will and Testament",
"template_name": "Last Will and Testament",
"status": "COMPLETED",
"progress": 100,
"document_owners": [
"dc7f8f34-ccb0-4364-ac23-dfceba96351a"
],
"created_on": "2025-04-11T00:32:59Z",
"modified_on": "2025-04-11T19:28:03Z",
"validated_on": "2025-05-28T20:26:51Z",
"document_jurisdiction": "CA",
"document_last_generated": "2025-04-11T19:28:10Z"
}
],
"quiz_answers": [
{
"id": "45f7Jd",
"question": "My spouse and I file our tax returns separately"
},
{
"id": "LxAmQv",
"question": "I want to avoid legal fees, delays, and court hearings."
}
],
"estate_contact_cards": [
{
"id": "4a6c9016-1e37-4be6-b05a-2ebfbb3bc22c",
"name": "Brad's Irrevocable Trust",
"type": "Trust",
"document_type": "IrrevocableTrust",
"trust_subtype": "GRAT"
},
{
"id": "bbdf43eb-0894-44da-96e3-fe1565a7e18f",
"name": "Brad's Last Will and Testament",
"type": "Will",
"document_type": "LastWillAndTestament",
"trust_subtype": null
}
],
"recommended_primary_document": "Two Individual Revocable Trusts"
}
Add Client
The Client Request Object model contains all the information about your advisor tenant and your clients information.
If the authenticated API user has access to only one advisor/team context, advisor_id and team_id are optional. Provide both when the request needs to disambiguate among multiple advisor/team contexts.
Add Client Request Object
- Name
advisor_id- Type
- string UUID (36 chars)
- Description
Unique identifier for the advisor making the request on behalf of their client. Optional unless needed to disambiguate advisor access.
- Name
team_id- Type
- string UUID (36 chars)
- Description
Unique identifier for the advisory team that the advisor belongs to. Optional unless needed to disambiguate advisor access.
- Name
client_email- Type
- string (Max 255)
- Description
Email of the client to be created.
- Name
client_first_name- Type
- string (Max 255)
- Description
First name of the client to be created.
- Name
client_last_name- Type
- string (Max 255)
- Description
Last name of the client to be created.
- Name
send_invitation_email- Type
- boolean
- Description
Boolean flag to indicate if Wealth.com should send an invitation email to the client. The wealth.com default is to not send an invitation email and let the calling system invite the user.
- Name
subscription_start_date- Type
- ISO 8601 date-time
- Description
Client's subscription start date. Optional. Must be in the past. If not provided or is set in the future then current date will be used.
- Name
marital_status- Type
- string enum
- Description
Client's marital status. Optional.
Accepted values:'Single' 'Married' 'DomesticPartnership' 'CivilUnion' 'Engaged' 'OtherCommittedRelationship' 'Widowed'
- Name
address- Type
- object
- Description
Client's address. Optional.
- Name
line1- Type
- string (Max 255)
- Description
Street address line 1. Optional.
- Name
line2- Type
- string (Max 255)
- Description
Street address line 2. Optional.
- Name
city- Type
- string (Max 255)
- Description
City. Optional.
- Name
state- Type
- string (Max 255)
- Description
State. Optional.
- Name
zip- Type
- string (Max 255)
- Description
Zip code. Optional.
- Name
has_children- Type
- boolean
- Description
Boolean flag to indicate if the client has children. Optional.
- Name
has_pets- Type
- boolean
- Description
Boolean flag to indicate if the client has pets. Optional.
- Name
existing_estate_plan- Type
- string enum
- Description
The client existing estate plan information. Optional. Accepted values:
'IndividualTrust' 'JointTrust' 'LastWillAndTestament' 'NoEstatePlan' 'Unknown'
- Name
own_property- Type
- boolean
- Description
Boolean flag to indicate if the client owns property selected as address. Optional.
- Name
spouse_first_name- Type
- string (Max 255)
- Description
First name of the client's spouse. Optional.
- Name
spouse_last_name- Type
- string (Max 255)
- Description
Last name of the client's spouse. Optional.
- Name
selected_primary_document- Type
- string enum
- Description
The primary document that the client selected. Optional. Accepted values:
'One Joint Revocable Trust' 'One Individual Revocable Trust' 'Two Individual Revocable Trusts' 'One Last Will and Testament' 'Two Last Will and Testaments'
Request
curl --location 'https://advisor-api.wealth.com/v1/clients' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic xxxxxxxxxxxxx' \
--data-raw '{
"advisor_id": "aa079672-5335-48c1-9aaf-58045cb1ce55",
"team_id": "49b29725-dfea-4b63-9e3d-ceae97dee1c6",
"client_email": "brad@fightclub.com",
"client_first_name": "Brad",
"client_last_name": "Pitt",
"send_invitation_email": false,
"subscription_start_date": "2024-02-01T00:00:00Z",
"selected_primary_document": "One Individual Revocable Trust"
}'
Add Client Response Object
- Name
invitation_link- Type
- string (Max 2048)
- Description
Link to the client invitation on the Wealth.com dashboard
- Name
user_wid- Type
- string UUID (36 chars)
- Description
Wealth.com unique identifier for the created client.
- Name
invitation_token- Type
- string UUID (36 chars)
- Description
Invitation token associated with the created client invitation.
Response
{
"invitation_link": "https://mydashboard.wealth.com/invited/f6das3ioh57bg18sw",
"user_wid": "786bb91c-35ec-49bb-bc28-1d2930d7db6a",
"invitation_token": "c5220e6d-3f18-40c4-8d70-d3b5fc4c5ed4"
}
Update Client
The Client Update Object model contains all updatable client properties.
Note that properties spouse_first_name, spouse_last_name, marital_status,
has_children, has_pets, existing_estate_plan, own_property, address (and all components of address)
can be set to null to remove the value.
Update Client Request Object
- Name
client_first_name- Type
- string (Max 255)
- Description
First name of the client.
- Name
client_last_name- Type
- string (Max 255)
- Description
Last name of the client.
- Name
subscription_start_date- Type
- ISO 8601 date-time
- Description
Client's subscription start date. Optional. Must be in the past. If not provided or is set in the future then current date will be used.
- Name
marital_status- Type
- string enum
- Description
Client's marital status. Optional.
Accepted values:'Single' 'Married' 'DomesticPartnership' 'CivilUnion' 'Engaged' 'OtherCommittedRelationship' 'Widowed'
- Name
address- Type
- object
- Description
Client's address. Optional.
- Name
line1- Type
- string (Max 255)
- Description
Street address line 1. Optional.
- Name
line2- Type
- string (Max 255)
- Description
Street address line 2. Optional.
- Name
city- Type
- string (Max 255)
- Description
City. Optional.
- Name
state- Type
- string (Max 255)
- Description
State. Optional.
- Name
zip- Type
- string (Max 255)
- Description
Zip code. Optional.
- Name
has_children- Type
- boolean
- Description
Boolean flag to indicate if the client has children. Optional.
- Name
has_pets- Type
- boolean
- Description
Boolean flag to indicate if the client has pets. Optional.
- Name
existing_estate_plan- Type
- string enum
- Description
The client existing estate plan information. Optional. Accepted values:
'IndividualTrust' 'JointTrust' 'LastWillAndTestament' 'NoEstatePlan' 'Unknown'
- Name
own_property- Type
- boolean
- Description
Boolean flag to indicate if the client owns property selected as address. Optional.
- Name
spouse_first_name- Type
- string (Max 255)
- Description
First name of the client's spouse. Optional.
- Name
spouse_last_name- Type
- string (Max 255)
- Description
Last name of the client's spouse. Optional.
- Name
selected_primary_document- Type
- string enum
- Description
The primary document that the client selected. Optional. Accepted values:
'One Joint Revocable Trust' 'One Individual Revocable Trust' 'Two Individual Revocable Trusts' 'One Last Will and Testament' 'Two Last Will and Testaments'
Request
curl --location 'https://advisor-api.wealth.com/v1/clients/786bb91c-35ec-49bb-bc28-1d2930d7db6a?advisor_id=26889708-54a7-4ce1-a1ee-d43104c319f5&team_id=49b29725-dfea-4b63-9e3d-ceae97dee1c6' \
-X PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic xxxxxxxxxxxxx' \
--data-raw '{
"subscription_start_date": "2024-02-01T00:00:00Z"
}'
Update Client Response Object
See the Get Client response object.
Delete Client
The DELETE client call expects a Wealth.com Id (wid) to be passed on the URL. The wid is unique to each client. If your API user can access multiple advisors, also include advisor_id and team_id as query parameters.
NOTE: The client will not loose access to the Wealth.com platform, but the advisor will no longer have access to the client's information.
Request
curl --location --request DELETE 'https://advisor-api.wealth.com/v1/clients/786bb91c-35ec-49bb-bc28-1d2930d7db6a?advisor_id=26889708-54a7-4ce1-a1ee-d43104c319f5&team_id=49b29725-dfea-4b63-9e3d-ceae97dee1c6' \
--header 'Authorization: Basic xxxxxxxxxxxxx'
Delete Client Response
Upon successful deletion the implementation returns HTTP status code 200.
Estate Plan Values
List of estate plan values.
| Plan code | Description |
|---|---|
| individual_will | Will plan for individuals |
| joint_will | Will plan for couples |
| individual_trust | Trust plan for individuals |
| joint_trust | Trust plan for couples |
Completion Status Values
List of available client statuses for the progress in completing the estate plan.
Registration refers to the initial sign in to the Wealth.com platform.
| Before Registration | After Registration |
|---|---|
| PreFlightNotInvited | NotStarted |
| PreFlightInvited | InProgress |
| Pending | |
| Completed |